package com.tofly.qualitycontrol.qcenum;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 消息主题
 *
 * @author Zev
 */
@Getter
@AllArgsConstructor
public enum QualityControlMessageTopicEnum {
	CERTIFICATION_PROCESS("工单上报环节","TF_YWPN_ZLRZ_W"),
	INSPECTION_PROCESS("检验记录环节","TF_YWPN_ZLRZ_W"),
	ISSUE_PROCESS("整改下达环节","TF_YWPN_ZLRZ_W"),
	RECTIFY_PROCESS("整改处置环节","TF_YWPN_ZLZG_W"),
	AUDIT_PROCESS("整改审核环节","TF_YWPN_ZLZG_W"),
	VERIFY_PROCESS("整改验证环节","TF_YWPN_ZLZG_W"),
	VALIDATE_PROCESS("验证审核环节","TF_YWPN_ZLZG_W"),
	OVERDUE_A("超时提醒","TF_YWPN_ZLRZ_W"),
	OVERDUE_B("超时提醒","TF_YWPN_ZLZG_W"),
	PLAN_AUDIT("质检计划","TF_YWPN_ZJJH_W"),
	PLAN_AUDIT_PROCESS("质检计划流程","TF_YWPN_ZJJHGC_W");
	/**
	 * 消息主题
	 */
	private String topic;
	/**
	 * 消息链接表名
	 */
	private String tableName;
}
